Subject: bug#54117: 28.0.91; Upgrading packages not working

From: Po Lu <[email-masked]>
Date: Thu, 14 Apr 2022 08:47:32 +0800

Corwin Brust <[email-masked]> writes:

>> Po Lu <[email-masked]> writes:
>>
>> > In fact, nothing gets marked for upgrades, and I have got quite some
>> > more packages installed, so I suspect some problem in the upgrade
>> > marking process.
>>
>> I got around to looking at this: every package installed is labeled as
>> "external" instead of "installed".  Since I don't know what the
>> difference between the two is, I installed a change to also mark
>> upgradable "external" packages, and am closing this bug.
>>
>
> Did this change go to the release branch (for the future 28.2) or to
> the trunk or both?

Just to master.  It didn't seem safe enough for the release branch,
since it isn't a regression in 28.1.